# Gimp.param_spec_font

    function param_spec_font(name: String, nick: String, blurb: String, none_ok: Boolean, default_value: Gimp.Font, default_to_context: Boolean, flags: GObject.ParamFlags): GObject.ParamSpec {
        // Gjs wrapper for gimp_param_spec_font()
    }

Creates a new #GimpParamSpecFont specifying a [type@Font] property. See also [func@Gimp.param_spec_resource].

Since 3.0

name

  Canonical name of the property specified.

nick

  Nick name of the property specified.

blurb

  Description of the property specified.

none_ok

  Whether null is a valid value.

default_value

  Default font.

default_to_context

  Whether the context is the context's font.

flags

  Flags for the property specified.

Returns

  The newly created #GimpParamSpecFont.